ChangeSet 1.1587.5.26, 2004/05/11 16:35:42-07:00, James.Bottomley@steeleye.com

[PATCH] fix dev_printk to work even in the absence of an attached driver


 include/linux/device.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/include/linux/device.h b/include/linux/device.h
--- a/include/linux/device.h	Fri May 14 15:56:26 2004
+++ b/include/linux/device.h	Fri May 14 15:56:26 2004
@@ -400,7 +400,7 @@
 
 /* debugging and troubleshooting/diagnostic helpers. */
 #define dev_printk(level, dev, format, arg...)	\
-	printk(level "%s %s: " format , (dev)->driver->name , (dev)->bus_id , ## arg)
+	printk(level "%s %s: " format , (dev)->driver ? (dev)->driver->name : "" , (dev)->bus_id , ## arg)
 
 #ifdef DEBUG
 #define dev_dbg(dev, format, arg...)		\
